Bug 523240 - Initscript: bmc-watchdog incorrect exit codes
Summary: Initscript: bmc-watchdog incorrect exit codes
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: freeipmi
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Safranek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject
TreeView+ depends on / blocked
 
Reported: 2009-09-14 14:46 UTC by Petr Šplíchal
Modified: 2016-06-01 01:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-02 09:48:52 UTC


Attachments (Terms of Use)

Description Petr Šplíchal 2009-09-14 14:46:57 UTC
Description of problem:

The bmc-watchdog initscript does not report correct exit status as
specified in the Fedora Initscript Guidelines:

Version-Release number of selected component (if applicable):
freeipmi-ipmidetectd-0.7.9-1.fc12.i586

Supplying a non-supported option should result in status 2:
2 invalid or excess argument(s)

FAIL :: Running 'service freeipmi-bmc-watchdog' (Expected 2, got 1)
FAIL :: Running 'service freeipmi-bmc-watchdog nothing' (Expected 2, got 1)

Additional info:
https://fedoraproject.org/wiki/Packaging:SysVInitScript#Exit_Codes_for_non-Status_Actions

Comment 1 Jan Safranek 2009-10-02 09:48:52 UTC
My patches were accepted upstream and they should be part of upcoming freeipmi-0.8.1 release.


Note You need to log in before you can comment on or make changes to this bug.